Subject: Re: 2.6.32-rc5-mmotm1101 - kernel BUG at net/ipv4/tcp_input.c:3707!

From: Gilad Ben-Yossef <[email-masked]>
Date: Wed, 04 Nov 2009 08:27:19 +0200

Ilpo Järvinen wrote:

> On Tue, 3 Nov 2009, Gilad Ben-Yossef wrote:
>
>   
>> Eric Dumazet wrote:
>>
>>     
>>> [email-masked] a écrit :
>>>   
>>>       
>>>> Seen right after I started 'fetchmail'.  Reproducible - 3 out of 3.
>>>> I'll bisect this tonight if nobody jumps up and yells they know what it
>>>> is...
>>>>     
>>>>         
>> Bah... this is most probably my fault. Sorry about that.
>>
>> Can you please try the patch in the next email?
>>
>> But also, can you please send me the route table in effect when this happened
>> and the fetchmail command line/config (removing any passwords or account
>> details of course)? I want to understand better when this happens.
>>     
>
> According to the stacktrace, it came from ipv6 side which doesn't have any 
> null checking what so ever atm (you only handled ipv4 correctly). ...You 
> should be a bit more careful next time when adding any BUG_ONs...
>   
I agree, but for my defense I should add this was not just plain 
carelessness, I believed
that the dst_entry cannot be NULL at that location. That was obviously 
wrong. :-(

Gilad

-- 
Gilad Ben-Yossef
Chief Coffee Drinker & CTO
Codefidence Ltd.

Web:   http://codefidence.com
Cell:  +972-52-8260388
Skype: gilad_codefidence
Tel:   +972-8-9316883 ext. 201
Fax:   +972-8-9316884
Email: [email-masked]

Check out our Open Source technology and training blog - http://tuxology.net

	"The biggest risk you can take it is to take no risk."
		-- Mark Zuckerberg and probably others